Loading...
Searching...
No Matches
BALL::FPTBondOrderStrategy::AdditionalBagProperties_ Class Reference

`#include <BALL/STRUCTURE/BONDORDERS/FPTBondOrderStrategy.h>`

## Public Member Functions

| AdditionalBagProperties_ ()
| AdditionalBagProperties_ (AdditionalBagProperties_ const &copy)
AdditionalBagProperties_ & | operator= (AdditionalBagProperties_ const &copy)
| ~AdditionalBagProperties_ ()

## Public Attributes

std::vector< MolecularGraphTraits::EdgeType > | bonds
DPTable_ * | table

## Detailed Description

Contains informations about a bag which are computed during the bond assignment algorithm. Later, this informations are used by the backtracking.

Definition at line 434 of file FPTBondOrderStrategy.h.

## Constructor & Destructor Documentation

## AdditionalBagProperties_() [1/2]

BALL::FPTBondOrderStrategy::AdditionalBagProperties_::AdditionalBagProperties_ | ( |  | ) |

Default constructor

## AdditionalBagProperties_() [2/2]

BALL::FPTBondOrderStrategy::AdditionalBagProperties_::AdditionalBagProperties_ | ( | AdditionalBagProperties_ const & | copy | ) |

Copy constructor

## ~AdditionalBagProperties_()

BALL::FPTBondOrderStrategy::AdditionalBagProperties_::~AdditionalBagProperties_ | ( |  | ) |

Destructor

## Member Function Documentation

## operator=()

AdditionalBagProperties_ & BALL::FPTBondOrderStrategy::AdditionalBagProperties_::operator= | ( | AdditionalBagProperties_ const & | copy | ) |

Assignment operator

## Member Data Documentation

## bonds

std::vector<MolecularGraphTraits::EdgeType> BALL::FPTBondOrderStrategy::AdditionalBagProperties_::bonds

bonds in this bag

Definition at line 460 of file FPTBondOrderStrategy.h.

## table

DPTable_* BALL::FPTBondOrderStrategy::AdditionalBagProperties_::table

The table of this bag. Is computed during the bond assignment

Definition at line 465 of file FPTBondOrderStrategy.h.